package com.ads.business.dao;

import com.ads.business.entity.ConversationUserRel;
import com.ads.business.service.model.response.ConversationUserRelResponse;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 会话用户表 Mapper 接口
 * </p>
 *
 * @author hou
 * @since 2021-11-18
 */
public interface ConversationUserRelDao extends BaseMapper<ConversationUserRel> {

    /***
     * 查询会话群成员信息
     * @param wrapper
     * @return
     */
    List<ConversationUserRelResponse> getByChatId(@Param(Constants.WRAPPER) QueryWrapper<ConversationUserRelResponse> wrapper);
}
