package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author hou
 * @since 2021-10-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsay_doc")
public class Doc implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 文件id
     */
    @TableId(value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 文件分类id
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long typeId;

    /**
     * 文件名称
     */
    private String name;

    /**
     * 文件地址
     */
    private String docUrl;

    /**
     * 链接地址
     */
    private String linkUrl;

    /**
     * 状态 1-启用 0-禁用
     */
    private Integer status;

    /**
     * 文件大小
     */
    private String fileSize;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private Long updateUser;

    /**
     * 更新时间
     */
    private Date updateTime;


}
