package com.ads.business.service.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @author yuqiang
 * @Description 用户登录返回信息
 * @Date 2020/9/1 9:30 上午
 */
@Data
public class GetLoginOutData implements Serializable {

    private static final long serialVersionUID = -211309931835504304L;
    /**
     * 用户ID
     **/
    private String userId;

    /**
     * 用户姓名
     **/
    private String name;

    /**
     * 用户账号
     **/
    private String account;

    /**
     * 用户头像
     **/
    private String headUrl;

    /**
     * token
     **/
    private String token;

    /**
     * 是否是管理员
     */
    private Boolean isAdmin;

    private Long roleId;

    private String roleName;

    private Long deptId;

    private String deptName;

    private String mobile;
}
