package com.ads.business.service.impl;

import com.ads.business.entity.DocConversationRel;
import com.ads.business.dao.DocConversationRelDao;
import com.ads.business.service.DocConversationRelService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author hou
 * @since 2021-11-22
 */
@Service
public class DocConversationRelServiceImpl extends ServiceImpl<DocConversationRelDao, DocConversationRel> implements DocConversationRelService {

    @Override
    public List<String> getListByDocId(Long id) {
        return baseMapper.getListByDocId(id);
    }
}
