package com.ads.business.service.model.request;

import com.ads.common.base.BasePageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author ludilong
 * @Date 2021/10/25 10:38
 * @Destription 获取文件列表参数信息
 */
@Data
@ApiModel(description = "查询文件列表请求")
public class DocListRequest extends BasePageRequest {

    @ApiModelProperty("文件分类")
    private String typeId;

    @ApiModelProperty("文件名称")
    private String name;

    @ApiModelProperty("状态")
    private Integer status;
}
