package com.ads.business.service.model.request;

import com.ads.common.base.BasePageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Return
 * @Author hou
 * @Date 2021/10/25 9:22
 * @Destription
 */
@Data
@ApiModel("文件分类列表请求")
public class DocTypeListRequest extends BasePageRequest {

    @ApiModelProperty("分类名称")
    private String name;

    @ApiModelProperty("状态 0-禁用 1-启用")
    private Integer status;
}
