package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author hou
 * @since 2021-11-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsay_doc_type_conversation_rel")
public class DocTypeConversationRel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 分类id
     */
    private Long typeId;

    /**
     * 群会话的ID(后续版本中chatid将不再使用，请将openConversationId作为群会话唯一标识。)
     */
    private String chatId;

    /**
     * 新群会话的ID
     */
    private String openConversationId;


}
