package com.ads.business.service;

import com.ads.business.service.model.request.DepartmentListRequest;
import com.ads.business.service.model.request.DepartmentUserListRequest;
import com.ads.common.dingTalk.domain.DepartmentDTO;
import com.ads.common.dingTalk.domain.UserDTO;

import java.util.List;

/**
 * @Return
 * @Author hou
 * @Date 2021/9/3 16:25
 * @Destription
 */
public interface DepartmentService {

    /**
     * 查询部门列表
     * @param request 请求
     * @return
     */
    List<DepartmentDTO> list(DepartmentListRequest request);

    /**
     * 查询部门下员工列表
     * @param request
     * @return
     */
    List<UserDTO> getDepartmentUsers(DepartmentUserListRequest request);

    List<DepartmentDTO> getDepartment(Long parentId);
}
