package com.ads.business.service;

import com.ads.business.entity.DocHistory;
import com.ads.business.service.model.response.DocHistoryListResponse;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author hou
 * @since 2021-10-21
 */
public interface DocHistoryService extends IService<DocHistory> {

    /**
     * 根据文件ID 获取文件的历史记录信息
     * @param docId
     * @return
     */
    List<DocHistoryListResponse> getDocHistoryList(Long docId);
}
