package com.ads.business.service.model.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Description:  会话管理下拉列表出参
* @Author: JJC
* @Date: 2021/11/22  13:47
*/
@Data
@ApiModel("会话管理下拉列表出参")
public class ConversationDropListResponse {

    /**
     * 群会话的ID(后续版本中chatid将不再使用，请将openConversationId作为群会话唯一标识。)
     */
    @ApiModelProperty("chatId")
    private String chatId;

    @ApiModelProperty("openConversationId")
    private String openConversationId;

    /**
     * 群名称
     */
    @ApiModelProperty("群名称")
    private String conversationName;
}
