package com.ads.business.service.model.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ConversationUserRelResponse {

    /**
     * 用户ID
     */
    @ApiModelProperty(name = "用户ID")
    private String userId;

    /**
     * 用户名
     */
    @ApiModelProperty(name = "用户名")
    private String userName;

    /**
     * 用户头像
     */
    @ApiModelProperty(name = "用户头像")
    private String avatar;

    @ApiModelProperty(name = "是否群主：0否 1是")
    private Integer owner = 0;
}
