package com.ads.business.service.model.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author ludilong
 * @Date 2021/10/25 10:38
 * @Destription 获取文件列表参数信息
 */
@Data
@ApiModel(description = "查询文件列表返回结果")
public class DocListResponse {

    @ApiModelProperty("文件id")
    private String id;

    @ApiModelProperty("文件分类")
    private String typeName;

    @ApiModelProperty("文件名称")
    private String name;

    @ApiModelProperty("文件地址")
    private String docUrl;

    @ApiModelProperty("链接地址")
    private String linkUrl;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("文件大小")
    private String fileSize;

    @ApiModelProperty("创建人")
    private String createUser;

    @ApiModelProperty("创建时间")
    private Date createTime;
}
