package com.ads.business.service.model.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Return
 * @Author hou
 * @Date 2021/10/25 13:23
 * @Destription
 */
@Data
@ApiModel("文件分类列表响应")
public class DocTypeListResponse {

    @ApiModelProperty("文件分类id")
    private String typeId;

    @ApiModelProperty("分类名称")
    private String name;

    @ApiModelProperty("链接地址")
    private String linkUrl;

    @ApiModelProperty("状态 1-启用 0-禁用")
    private Integer status;

    @ApiModelProperty("创建人")
    private String createUserName;

    @ApiModelProperty("创建时间")
    private String createTime;
}
