package com.ads.business.service.model.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author: stamm
 * @Date: 2021/10/28/9:16
 */
@Data
@ApiModel("文件分类下拉列表响应")
public class DropListResponse {

    @ApiModelProperty("文件分类id")
    private String typeId;

    @ApiModelProperty("分类名称")
    private String name;

    @ApiModelProperty("链接地址")
    private String linkUrl;

    @ApiModelProperty("群会话列表")
    List<ConversationTypeResponse> list;
}

