package com.ads.common.util;

import java.util.Arrays;
import java.util.List;

/**
 * 常量定义
 *
 * @author: stamm
 * @Date: 2021/06/04/14:23
 */
public class CommonConstant {
    /**
     * 创建人
     */
    public static final String CREATE_USER = "createUser";

    /**
     * 更新人
     */
    public static final String UPDATE_USER = "updateUser";

    /**
     * 创建时间
     */
    public static final String CREATE_TIME = "createTime";

    /**
     * 更新时间
     */
    public static final String UPDATE_TIME = "updateTime";

    /**
     * 当前页码
     */
    public static final String PAGE = "page";
    /**
     * 每页显示记录数
     */
    public static final String LIMIT = "limit";
    /**
     * 排序字段
     */
    public static final String ORDER_FIELD = "sidx";
    /**
     * 排序方式
     */
    public static final String ORDER = "order";
    /**
     * 升序
     */
    public static final String ASC = "asc";

    /**
     * 排序规则： descend 降序
     */
    public static final String ORDER_DESC = "desc";
    /**
     * 排序规则： ascend 升序
     */
    public static final String ORDER_ASC = "asc";

    /**
     * 资源映射路径 前缀
     */
    public static final String RESOURCE_PREFIX = "/profile";

    /**
     * Excel文件 后缀
     */
    public static final String EXCEL_SUFFIX = ".xlsx";

    public static final String EXCEL_SUFFI_XLS = ".xls";

    /**
     * 判断TM分店默认库存 30
     */
    public static final Integer JUDGE_TM_STOCK_NUMBER = 30;
    /**
     * 铺货类型
     */
    public static final List<String> DISTRIBUTION_TYPE = Arrays.asList("TM","FM","双M","普通");
    /**
     * 中央默认分店
     */
    public static final List<Integer> CENTER_BRANCH = Arrays.asList(97, 297, 811, 819, 906);
    /**
     * 全国默认区域分店
     */
    public static final List<Integer> WHOLE_AREA = Arrays.asList(201, 202, 203, 204, 205, 206, 207, 208, 209, 210, 211, 214);
    /**
     * 区域为212电子商务区
     */
    public static final Integer E_COMMERCE = 212;
    /**
     * 默认货类
     */
    public static final List<String> STOCK = Arrays.asList("A", "U", "GAA", "GAU");

    /**
     * 附件大类
     */
    public static final List<String> ACCESSORIES_CATEGORY = Arrays.asList("A");

    /**
     * 默认保证金货类
     */
    public static final List<String> MARHIN_STOCK = Arrays.asList("A", "U", "GAA", "GAU", "SU");
    /**
     * 图片域名
     */
    public static final String DOMAINNAME = "https://photo.chowtaifook.sz/";
    /**
     * 不发展(sku发展状态)
     */
    public static final String SKUNODEVELOPSTATUS = "不發展";
    /**
     * 发展中(sku发展状态)
     */
    public static final String SKUDEVELOPSTATUS = "发展中";
    /**
     * OUTLETS(sku OUTLETS状态)
     */
    public static final String SKUOUTLETS = "OUTLETS款";
    /**
     * 非OUTLETS(sku 非OUTLETS状态)
     */
    public static final String SKUNOOUTLETS = "非OUTLETS款";
    /**
     * 圈口
     */
    public static final String RINGSEGMENT = "圈口";
    /**
     * 份数段
     */
    public static final String PHRSEGMENT = "份数段";
    /**
     * 价位段
     */
    public static final String PRICESEGMENT = "价位段";
    /**
     * 选款分类-新增款
     */
    public static final Integer CLASSTYPE1 = 1;
    /**
     * 选款分类-加货款
     */
    public static final Integer CLASSTYPE2 = 2;
    /**
     * 选款分类- 调出款
     */
    public static final Integer CLASSTYPE3 = 3;

    /**
     * 选款分类-新增款
     */
    public static final String SHOWTYPE1 = "新增款";
    /**
     * 选款分类-加货款
     */
    public static final String SHOWTYPE2 = "加货款";
    /**
     * 选款分类- 调出款
     */
    public static final String SHOWTYPE3 = "调出款";

    /**
     * 清单
     */
    public static final Integer ORDER_STATUS1 = 1;
    /**
     * 订单
     */
    public static final Integer ORDER_STATUS2 = 2;

    /***
     * 配货排期提醒标题
     */
    public static final String REMINDER_OF_DISTRIBUTION_SCHEDULE_TITLE = "配货排期提醒";

    /***
     * 配货排期提醒内容
     */
    public static final String REMINDER_OF_DISTRIBUTION_SCHEDULE_CONTENT = "您有一条新的配货排期提醒，可在$前申请修改";


    /**
     * 业务大类其它业务代号
     */
    public static final Integer BUSINESS_BIG_TYPE = 100;

    /**
     * 业务小类其它业务代号
     */
    public static final String BUSINESS_SMALL_TYPE = "100";

    /**
     * 分析维度-系列
     */
    public static final String ANALYSISTYPE1 = "1";
    /**
     * 分析维度-首饰类别
     */
    public static final String ANALYSISTYPE2 = "2";
    /**
     * 分析维度- 份数段
     */
    public static final String ANALYSISTYPE3 = "3";
    /**
     * ics接口返回结果成功状态
     */
    public static final Integer ICSSTATUS = 200;
    /**
     * ics扫货接口中的状态
     */
    public static final String ICSSCANSTOCKEDSTATUS = "已确认";
    /**
     * ics扫货接口中的状态
     */
    public static final String ICSNOSCANSTOCKSTATUS = "未确认";

    /**
     * 铺货类型
     */
    public static final String TM = "TM";

    public static final String FM = "FM";

    public static final String DOUBLE_M = "双M";

    public static final String NORMAL = "普通";

    /**
     * 排店状态-已排店
     */
    public static final Integer SORT_STATUS1 = 1;
    /**
     * 排店状态-已申请修改
     */
    public static final Integer SORT_STATUS2 = 2;
    /**
     * 排店状态-管家已确认
     */
    public static final Integer SORT_STATUS3 = 3;

    /**
     * 用户类型-管理员
     */
    public static final Integer USER_TYPE1 = 1;
    /**
     * 用户类型-主管
     */
    public static final Integer USER_TYPE2 = 2;
    /**
     * 用户类型-管家
     */
    public static final Integer USER_TYPE3 = 3;
    /**
     * 用户类型-分店
     */
    public static final Integer USER_TYPE4 = 4;
    /**
     * 用户类型-其他
     */
    public static final Integer USER_TYPE5 = 5;

    /***
     * 开关状态 0关闭
     */
    public static final Integer CLOSE = 0;
    /***
     * 开关状态 1开启
     */
    public static final Integer OPEN = 1;
    /***
     * 配货状态 0不可配货
     */
    public static final String NOT_DISTRIBUTION = "0";
    /***
     * 配货状态 1可配货
     */
    public static final String DISTRIBUTION = "1";
    /**
     * 简体
     */
    public static final String ZH_CN = "zh_CN";

    /**
     * 繁体
     */
    public static final String ZH_TW = "zh_TW";

    /**
     * 分店性质-分店
     */
    public static final String BRANCH_STORE = "分店";

    /**
     * 分店性质-仓
     */
    public static final String WAREHOUSE = "仓";

    public static final Integer CODE_0 = 0;

    public static final Integer CODE_200 = 200;

    public static final Integer CODE_1 = 1;

    public static final Integer CODE_401 = 401;

    public static final Integer CODE_500 = 500;

    public static final String REQUEST_METHOD_OPTIONS = "OPTIONS";


    public static final String LOGIN_TOKEN = "X-Token";

    public static final String LANGUAGE = "X-Lang";

    /***
     * 拦截路径
     */
    public static final String API = "api";
    /***
     * 移动端首页路径
     */
    public static final String WORK_BENCH = "workBench";
    /***
     * 重定向到认证中心的地址路径
     */
    public static final String AUTH_CENTER = "https://%s/auth/oauth/authorize?response_type=code&client_id=%s&redirect_uri=%s";
    /***
     * 根据授权码code取到token地址路径
     */
    public static final String GET_TOKEN_URL = "https://%s/auth/oauth/token";
    /***
     * 通过token取到当前认证中心登录的用户ID地址路径
     */
    public static final String GET_USERID_URL = "https://%s/auth/admin/user/info";

    public static final String STR_NUMBER_1 = "1";

    public static final String STR_NUMBER_2 = "2";

    public static final Integer INT_NUMBER_0 = 0;

    public static final Integer INT_NUMBER_1 = 1;

    public static final Integer INT_NUMBER_2 = 2;

    public static final Integer INT_NUMBER_3 = 3;
    /**
     * 卡装系列名称
     */
    public static final String SERIES_KAZHUANG = "卡装";

    public static final String SERIES_KAZHUANG_F = "卡裝";

    public static final Integer PAGE_SIZE = 50000;


    public static final Integer PAGE_SIZE_1000 = 10000;

    public static final Integer PAGE_SIZE_100000 = 100000;

    /**
     * 库存分页数
     */
    public static final Integer PAGE_SIZE_ITEM_MASTER = 300000;


    public static final Integer PAGE_SIZE_ITEM_MASTER_MAX = 1000000;

    /**
     * 月结存分页数
     */
    public static final Integer PAGE_SIZE_STOCK_MONTHLY = 200000;
}
